Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.change_vision.jude.api.inf.editor
Interface IDiagramEditorFactory

    com.change_vision.jude.api.inf.editor.IDiagramEditorFactory

    public IDiagramEditorFactory

Interface to create DiagramEditor.

Method Summary
`abstract ActivityDiagramEditor` | `getActivityDiagramEditor()` Create ActivityDiagramEditor.
`abstract ClassDiagramEditor` | `getClassDiagramEditor()` Create ClassDiagramEditor.
`abstract CompositeStructureDiagramEditor` | `getCompositeStructureDiagramEditor()` Create CompositeStructureDiagramEditor.
`abstract ERDiagramEditor` | `getERDiagramEditor()` Create ERDiagramEditor.
`abstract MindmapEditor` | `getMindmapEditor()` Create MindmapEditor.
`abstract RequirementDiagramEditor` | `getRequirementDiagramEditor()` Create RequirementEditor.
`abstract SequenceDiagramEditor` | `getSequenceDiagramEditor()` Create SequenceDiagramEditor.
`abstract StateMachineDiagramEditor` | `getStateMachineDiagramEditor()` Create StateMachineDiagramEditor.
`abstract UseCaseDiagramEditor` | `getUseCaseDiagramEditor()` Create UseCaseDiagramEditor.

Method Detail

### getClassDiagramEditor

    abstract ClassDiagramEditor getClassDiagramEditor()

  Create ClassDiagramEditor.

  Returns:
    ClassDiagramEditor
  Throws:
    `InvalidUsingException` - community version cannot use editing API

### getUseCaseDiagramEditor

    abstract UseCaseDiagramEditor getUseCaseDiagramEditor()

  Create UseCaseDiagramEditor.

  Returns:
    UseCaseDiagramEditor
  Throws:
    `InvalidUsingException` - community version cannot use editing API

### getStateMachineDiagramEditor

    abstract StateMachineDiagramEditor getStateMachineDiagramEditor()

  Create StateMachineDiagramEditor.

  Returns:
    StateMachineDiagramEditor
  Throws:
    `InvalidUsingException` - community version cannot use editing API

### getERDiagramEditor

    abstract ERDiagramEditor getERDiagramEditor()

  Create ERDiagramEditor.

  Returns:
    ERDiagramEditor
  Throws:
    `InvalidUsingException` - community version cannot use editing API

### getRequirementDiagramEditor

    abstract RequirementDiagramEditor getRequirementDiagramEditor()

  Create RequirementEditor.

  Returns:
    RequirementEditor
  Throws:
    `InvalidUsingException` - community, UML version cannot use editing API

### getMindmapEditor

    abstract MindmapEditor getMindmapEditor()

  Create MindmapEditor.

  Returns:
    MindmapEditor
  Throws:
    `InvalidUsingException` - community version cannot use editing API

### getCompositeStructureDiagramEditor

    abstract CompositeStructureDiagramEditor getCompositeStructureDiagramEditor()

  Create CompositeStructureDiagramEditor.

  Returns:
    CompositeStructureDiagramEditor
  Throws:
    `InvalidUsingException` - community version cannot use editing API

### getSequenceDiagramEditor

    abstract SequenceDiagramEditor getSequenceDiagramEditor()

  Create SequenceDiagramEditor.

  Returns:
    SequenceDiagramEditor
  Throws:
    `InvalidUsingException` - community version cannot use editing API
  Since:
    6.6.4

### getActivityDiagramEditor

    abstract ActivityDiagramEditor getActivityDiagramEditor()

  Create ActivityDiagramEditor.

  Returns:
    ActivityDiagramEditor
  Throws:
    `InvalidUsingException` - community version cannot use editing API
  Since:
    6.8.0

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD